﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PrismDemo.Infrastructure;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Regions;
using PrismDemo.Modules.ToolBar.Views;

namespace PrismDemo.Modules.ToolBar
{
    public class ToolBarModule : ModuleBase
    {
        public ToolBarModule(IUnityContainer container, IRegionManager regionManager)
            : base(container, regionManager)
        {

        }

        public override void Initialize()
        {
            var view = Container.Resolve<ToolBarView>();
            RegionManager.Regions[RegionNames.ToolbarRegion].Add(view);
            
        }
    }
}
